< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package un
  Definition Classes
    root
-  package unece
  Definition Classes
    un
-  package uncefact
  Definition Classes
    unece
-  package data
  Definition Classes
    uncefact
-  package standard
  Definition Classes
    data
-  package unqualifieddatatype
  Definition Classes
    standard
-  package _6
  Definition Classes
    unqualifieddatatype
- AmountType
- CodeType
- DateTimeType
- IDType
- MeasureType
- ObjectFactory
- QuantityType
- TextType

c

un.unece.uncefact.data.standard.unqualifieddatatype._6

# QuantityType 

###

#### class QuantityType extends AnyRef

Java class for QuantityType complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="QuantityType">
      <simpleContent>
        <extension base="<http://www.w3.org/2001/XMLSchema>decimal">
          <attribute name="unitCode" type="{urn:un:unece:uncefact:data:standard:UnqualifiedDataType:6}MeasurementUnitCommonCodeContentType" />
        </extension>
      </simpleContent>
    </complexType>

Linear Supertypes
AnyRef, Any
Known Subclasses
DeclarationGoodsItemQuantityType, DeclarationLoadingListQuantityType, DeclarationTotalPackageQuantityType, DutyTaxFeeSpecificTaxBaseQuantityType, GoodsMeasureTariffQuantityType, PackagingQuantityQuantityType, WriteOffQuantityQuantityType, DutyTaxFeeSpecificTaxBaseQuantityType
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. QuantityType
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new QuantityType()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @native() @throws( ... )
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
9.  final def getClass(): Class[_]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  def getUnitCode(): String

    Gets the value of the unitCode property.

    Gets the value of the unitCode property.

    returns

      possible object is ``

11.  def getValue(): BigDecimal

    Gets the value of the value property.

    Gets the value of the value property.

    returns

      possible object is ``

12.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  def setUnitCode(value: String): Unit

    Sets the value of the unitCode property.

    Sets the value of the unitCode property.

    value

      allowed object is ``

18.  def setValue(value: BigDecimal): Unit

    Sets the value of the value property.

    Sets the value of the value property.

    value

      allowed object is ``

19.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
20.  def toString(): String
    Definition Classes
      AnyRef → Any
21.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
22.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
23.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped